## START: Set by rpmautospec
## (rpmautospec version 0.5.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 6;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global nagiospluginsdir %{_libdir}/nagios/plugins
Name:           nagios-plugins-ssl_cert
Version:        2.54.0
Release:        %autorelease
Summary:        Nagios Plugin - check_ssl_cert

License:        GPL-3.0-or-later
URL:            https://exchange.nagios.org/directory/Plugins/Network-Protocols/HTTP/check_ssl_cert/details
Source:         https://github.com/matteocorti/check_ssl_cert/archive/v%{version}/%{name}-%{version}.tar.gz

Requires:       /usr/bin/bash
Requires:       /usr/bin/bc
Requires:       /usr/bin/curl
Requires:       /usr/bin/date
Requires:       /usr/bin/openssl
Requires:       nagios-plugins
Requires:       perl(Date::Parse)

Recommends:     /usr/bin/dig
Recommends:     /usr/bin/expand
Recommends:     /usr/bin/timeout
Recommends:     /usr/sbin/ip

BuildRequires:  make

# The package does not contain any architecture-dependent things, but installs
# into an arch-dependent directory. Thus, it cannot be noarch, but it does not
# provide any debuginfo.
%global debug_package %{nil}

%description
A POSIX shell script (that can be used as a Nagios/Icinga plugin) to check an
SSL/TLS connection and certificate.

%prep
%autosetup -p1 -n check_ssl_cert-%{version}

%build
# Nothing to do here.

%install
%make_install DESTDIR=%{buildroot}/%{nagiospluginsdir} MANDIR=%{buildroot}/%{_mandir}

%check
# Do not run unit tests because they require internet access.

%files
%doc NEWS.md
%doc README.md
%doc SECURITY.md
%license COPYING.md
%{_mandir}/man1/check_ssl_cert.1*
%{nagiospluginsdir}/check_ssl_cert


%changelog
## START: Generated by rpmautospec
* Thu Jan 25 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.54.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.54.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.54.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.54.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Nov 11 2022 Till Hofmann <hofmann@kbsg.rwth-aachen.de> - 2.54.0-2
- Add sources

* Fri Nov 11 2022 Till Hofmann <thofmann@fedoraproject.org> - 2.54.0-1
- Update to 2.54.0

* Fri Nov 11 2022 Till Hofmann <thofmann@fedoraproject.org> - 2.49.0-5
- Do not wildcard-install script

* Fri Nov 11 2022 Till Hofmann <thofmann@fedoraproject.org> - 2.49.0-4
- Mention why we do not run unittests

* Fri Nov 11 2022 Till Hofmann <thofmann@fedoraproject.org> - 2.49.0-3
- Fix URL

* Fri Nov 11 2022 Till Hofmann <thofmann@fedoraproject.org> - 2.49.0-2
- Change summary according to common pattern used for nagios plugins

* Fri Nov 11 2022 Till Hofmann <thofmann@fedoraproject.org> - 2.49.0-1
- Rename package to nagios-plugins-ssl_cert
## END: Generated by rpmautospec
